Error updating plugins from version 1.12.2 to 1.13.2

Discussion in 'Plugin Development' started by Mats_brony, Nov 7, 2019.

  1. Offline

    Mats_brony

    I updated the server from 1.12.2 to 1.13.2 version. All self-made plugins began to give an error
    Does anyone know how to fix it?
    And what could be the changes that could cause problems updating plugins from 1.12.3 to 1.13.2 version?

    №1
    "
    [17:53:29] [Server thread/ERROR]: Could not load 'plugins/EMPBungee .jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/md_5/bungee/api/plugin/Plugin
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:309) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:225) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:616) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_222]
    Caused by: java.lang.NoClassDefFoundError: net/md_5/bungee/api/plugin/Plugin
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_222]
    at java.lang.ClassLoader.defineClass(ClassLoader.java:763) ~[?:1.8.0_222]
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.8.0_222]
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:468) ~[?:1.8.0_222]
    at java.net.URLClassLoader.access$100(URLClassLoader.java:74) ~[?:1.8.0_222]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:369) ~[?:1.8.0_222]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:363) ~[?:1.8.0_222]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_222]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:362) ~[?:1.8.0_222]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:105) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:90) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_222]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_222]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
    at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_222]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:68) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:127) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.md_5.bungee.api.plugin.Plugin
    at java.net.URLClassLoader.findClass(URLClassLoader.java:382) ~[?:1.8.0_222]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:105) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:90) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_222]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_222]
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_222]
    at java.lang.ClassLoader.defineClass(ClassLoader.java:763) ~[?:1.8.0_222]
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.8.0_222]
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:468) ~[?:1.8.0_222]
    at java.net.URLClassLoader.access$100(URLClassLoader.java:74) ~[?:1.8.0_222]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:369) ~[?:1.8.0_222]
    at java.net.URLClassLoader$1.run(URLClassLoader.java:363) ~[?:1.8.0_222]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_222]
    at java.net.URLClassLoader.findClass(URLClassLoader.java:362) ~[?:1.8.0_222]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:105) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:90) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_222]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_222]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_222]
    at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_222]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:68) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:127) ~[PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    ... 6 more"

    №2

    "[17:53:29] [Server thread/ERROR]: Could not load 'plugins/PLUGINNAME.jar' in folder 'plugins'
    org.bukkit.plugin.UnknownDependencyException: PLUGINNAME2
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:218) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:309) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:225) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:616) [PaperSpigot-1.12.2-b1255.jar:git-Paper-1255]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_222]"

    I updated the server from 1.12.2 to 1.13.2 version. All self-made plugins began to give an error
    Does anyone know how to fix it?
    And what could be the changes that could cause problems updating plugins from 1.12.3 to 1.13.2 version?

    [23:05:21] [Server thread/ERROR]: Error occurred while enabling pluginname v1.0 (Is it up to date?)
    java.lang.NoClassDefFoundError: net/minecraft/server/v1_13_R2/MojangsonParseException
    at java.lang.Class.getDeclaredConstructors0(Native Method) ~[?:1.8.0_222]
    at java.lang.Class.privateGetDeclaredConstructors(Class.java:2671) ~[?:1.8.0_222]
    at java.lang.Class.getConstructor0(Class.java:3075) ~[?:1.8.0_222]
    at java.lang.Class.newInstance(Class.java:412) ~[?:1.8.0_222]
    at mats.plugins.commons.bridge.NMSBridge.<clinit>(NMSBridge.java:78) ~[?:?]
    at mats.plugins.commons.core.Commons.onEnable(Commons.java:44) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:265) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:334) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:412) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugin(CraftServer.java:443) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugins(CraftServer.java:357) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at net.minecraft.server.v1_13_R2.MinecraftServer.l(MinecraftServer.java:608) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:570) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:431) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:316) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:787) ~[Paper-1.13.2-b624.jar:git-Paper-624]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_222]

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Nov 7, 2019
  2. Online

    knokko

    It looks like the first 2 error stacktraces came from a 1.12.2 server and only the last one came from a 1.13.2 server. And about that last error: it looks like you are trying to use the class net/minecraft/server/v1_13_R2/MojangsonParseException via reflection, but it seems like that one doesn't exist. I suggest trying net/minecraft/server/v1_13_R0/MojangsonParseException and net/minecraft/server/v1_13_R1/MojangsonParseException. Likely, one of them does exist.
     

Share This Page